> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitpayapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transfer Detail

> Retrieve details of a specific payout transfer



## OpenAPI

````yaml get /v1/transfers/{transfer_id}
openapi: 3.1.1
info:
  title: HitPay API
  description: >-
    Accept PayNow, FPX, QRIS, GrabPay, cards, and 40+ payment methods with a
    single API. Production base URL: https://api.hit-pay.com, Sandbox:
    https://api.sandbox.hit-pay.com
  version: '1.0'
servers:
  - url: https://api.hit-pay.com
    description: Production
  - url: https://api.sandbox.hit-pay.com
    description: Sandbox
security: []
paths:
  /v1/transfers/{transfer_id}:
    get:
      summary: Get transfer by ID
      description: Get transfer by ID
      operationId: get-transfer-detail
      parameters:
        - name: X-BUSINESS-API-KEY
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            example: b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d
        - name: transfer_id
          in: path
          description: The Beneficiary id
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: 9eb3d44a-bb68-4107-b445-cc61cd27607c
                    beneficiary:
                      id: 9eb3d3ff-3fb0-450e-bb61-7c0753974398
                      status: approved
                      country: sg
                      currency: sgd
                      transfer_method: bank_transfer
                      transfer_type: local
                      nickname: Test QA
                      remark: Test QA
                      holder_name: Test QA
                      holder_type: individual
                      bank_branch_code: '001'
                      account_number: '173737377'
                      bank_name: AMERICAN EXPRESS BANK LTD
                      bank_id: AEIBSGSXXXX[7454]
                      email: test@gmail.com
                      is_favourite: true
                      created_at: '2025-04-18T12:52:10+08:00'
                      updated_at: '2025-04-18T12:52:10+08:00'
                      deleted_at: null
                    payment_currency: sgd
                    payment_amount: 100
                    source_currency: sgd
                    source_amount: 100
                    exchange_rate: '1.00000'
                    fee:
                      amount: 10
                      currency: sgd
                      paid_by: payer
                    discount_fee_rate: 0
                    fixed_fee: 0
                    discount_fee: 0
                    remark: Tessting Remark
                    status: scheduled
                    attachment: >-
                      https://hitpay-sandbox-public.s3.ap-southeast-1.amazonaws.com/transfer-attachments/9eb3d44a-bb68-4107-b445-cc61cd27607c/9eb3d44ae7034b2a9e6feb52d3da185d.jpg?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIAZ4FHSA4HSL4WZS7J%2F20250418%2Fap-southeast-1%2Fs3%2Faws4_request&X-Amz-Date=20250418T045412Z&X-Amz-SignedHeaders=host&X-Amz-Expires=3600&X-Amz-Signature=c2057c3ce12abaf669effe9e685b8d1d082bb8b2ce64998bfa009fcd1151ff87
                    created_by: null
                    approved_by: null
                    rejected_by: null
                    created_at: '2025-04-18T12:53:00+08:00'
              schema:
                $schema: http://json-schema.org/draft-07/schema#
                title: Generated schema for Root
                type: object
                properties:
                  id:
                    type: string
                  beneficiary:
                    type: object
                    properties:
                      id:
                        type: string
                      status:
                        type: string
                      country:
                        type: string
                      currency:
                        type: string
                      transfer_method:
                        type: string
                      transfer_type:
                        type: string
                      nickname:
                        type: string
                      remark:
                        type:
                          - string
                          - 'null'
                      holder_name:
                        type: string
                      holder_type:
                        type: string
                      bank_branch_code:
                        type: string
                      account_number:
                        type: string
                      bank_name:
                        type: string
                      bank_id:
                        type: string
                      email:
                        type: string
                      is_favourite:
                        type: boolean
                      created_at:
                        type: string
                      updated_at:
                        type: string
                      deleted_at:
                        type:
                          - string
                          - 'null'
                    required:
                      - id
                      - status
                      - country
                      - currency
                      - transfer_method
                      - transfer_type
                      - nickname
                      - remark
                      - holder_name
                      - holder_type
                      - bank_branch_code
                      - account_number
                      - bank_name
                      - bank_id
                      - email
                      - is_favourite
                      - created_at
                      - updated_at
                      - deleted_at
                  payment_currency:
                    type: string
                  payment_amount:
                    type: number
                  source_currency:
                    type: string
                  source_amount:
                    type: number
                  exchange_rate:
                    type: string
                  fee:
                    type: object
                    properties:
                      amount:
                        type: number
                      currency:
                        type: string
                      paid_by:
                        type: string
                        enum:
                          - payer
                          - beneficiary
                    required:
                      - amount
                      - currency
                      - paid_by
                  discount_fee_rate:
                    type: number
                  fixed_fee:
                    type: number
                  discount_fee:
                    type: number
                  remark:
                    type:
                      - string
                      - 'null'
                  status:
                    type: string
                    enum:
                      - scheduled
                      - processing
                      - paid
                      - failed
                      - canceled
                  attachment:
                    type:
                      - string
                      - 'null'
                  created_by:
                    type:
                      - object
                      - 'null'
                  approved_by:
                    type:
                      - object
                      - 'null'
                  rejected_by:
                    type:
                      - object
                      - 'null'
                  created_at:
                    type: string
                required:
                  - id
                  - beneficiary
                  - payment_currency
                  - payment_amount
                  - source_currency
                  - source_amount
                  - exchange_rate
                  - fee
                  - discount_fee_rate
                  - fixed_fee
                  - discount_fee
                  - remark
                  - status
                  - attachment
                  - created_by
                  - approved_by
                  - rejected_by
                  - created_at
      deprecated: false

````